Bug 734290 - Escape characters included in translated titles of books in site tables of contents
Escape characters included in translated titles of books in site tables of co...
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.6
Unspecified Unspecified
unspecified Severity unspecified
: 2.7
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-29 21:53 EDT by Ruediger Landmann
Modified: 2011-09-05 23:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-05 23:56:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2011-08-29 21:53:24 EDT
Description of problem:
When you package a translated book, Publican sets the web_name_label and web_product_label parameters so that the translated title and product name are displayed in the website table of contents.

However, if the translated title or product name includes an apostrophe, the title appears in the table of contents with a backslash in front of the apostrophe. For example, an Installation Guide in French will have the translated title "Guide d'installation", but this appears in the site table of contents as "Guide d\'installation". 

Version-Release number of selected component (if applicable):
2.6-3

How reproducible:
100%

Steps to Reproduce:
1. Create a set of PO files for a book
2. Provide a translation for the title in the Book_Info.po file. Make sure that the translated title has an apostrophe in it
3. Build and install the web RPM for the book
4. Open the html or html-single version of the book and look at the site ToC in the left-hand pane

Actual results:
Apostophes in the translated title are prefixed with a backslash

Expected results:
No backslash, just apostrophe

Additional info:

Example section from spec file:

%post -n Red_Hat_Enterprise_Linux-Installation_Guide-6-web-fr-FR
publican update_db --add --lang="fr-FR" --formats="html,pdf,html-single,epub" --name="Installation_Guide" --version="6" --product="Red_Hat_Enterprise_Linux" --subtitle="Installation de Red Hat Enterprise Linux 6 pour toutes les architectures" --abstract="Ce manuel explique comment lancer le programme d\'installation Red Hat Enterprise Linux 6 (anaconda) et comment installer Red Hat Enterprise Linux 6 sur les systèmes x86 32-bit et 64-bit, sur les systèmes POWER 64-bit, et sur les systèmes IBM System z. Il couvre aussi des méthodes d\'installation avancées telles que les installations kickstart, PXE, et les installations au moyen de VNC. FInalement, ce manuel décrit les tâches communes post-installation et explique comment résoudre les problèmes liés à une installation." --name_label="Guide_d\'installation"
Comment 2 Jeff Fearn 2011-09-04 23:12:20 EDT
Spec file now uses double quote instead of single quote, so changed which quote gets escaped in spec file.

Changed in branches/publican-2x and trunk.

Committed revision 1884.
Comment 3 Ruediger Landmann 2011-09-05 02:29:32 EDT
Verified in publican-2.7-0.fc15.t39.noarch -- thanks!
Comment 4 Jeff Fearn 2011-09-05 23:56:46 EDT
Publican 2.7 has been release and includes a fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.